#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	iceauth
Version		:	1.0.9
Release		:	16.2.0.rel%{?dist}
Summary		:	X.Org X11 X authority utilities
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	make
#BuildRequires	:	pkgconfig(x11)
#BuildRequires	:	pkgconfig(ice)
#BuildRequires	:	pkgconfig(xorg-macros) >= 1.8
 
#BuildRequires	:	libpng-devel
#BuildRequires	:	mesa-devel
#BuildRequires	:	xbitmaps
BuildRequires	:	libxcb
BuildRequires	:	xorg-libICE
BuildRequires	:	xorg-libXau
BuildRequires	:	xorg-util-macros
BuildRequires	:	xorgproto

#-----------------------------------------------------------------------------
%description
The iceauth program is used to edit and display the authorization
information used in connecting with ICE.   It operates very much
like the xauth program for X11 connection authentication records.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
